CREATE TABLE "REFAPP"."PERSONA"
(
   NOME varchar2(50),
   COGNOME varchar2(50),
   COGNOME_ACQUISITO varchar2(50),
   DATA_NASCITA date,
   SESSO char(1),
   STATO_CIVILE varchar2(10),
   CODICE_FISCALE varchar2(16) PRIMARY KEY NOT NULL,
   NUMERO_CARATTERISTICO decimal(10),
   DATA_INCARICO date,
   CITTA_NASCITA varchar2(25),
   PROVINCIA_NASCITA varchar2(10)
)
;

CREATE TABLE "REFAPP"."REFAPP_D_COMUNE"
(
   ID_COMUNE decimal(10) PRIMARY KEY NOT NULL,
   ID_PROVINCIA decimal(10),
   DESCRIZIONE varchar2(50) NOT NULL
)
;

CREATE TABLE "REFAPP"."REFAPP_D_PROVINCIA"
(
   ID_PROVINCIA decimal(10) PRIMARY KEY NOT NULL,
   DESCRIZIONE varchar2(50) NOT NULL,
   ID_REGIONE decimal(10)
)
;

CREATE TABLE "REFAPP"."REFAPP_D_REGIONE"
(
   ID_REGIONE decimal(10) PRIMARY KEY NOT NULL,
   DESCRIZIONE varchar2(50) NOT NULL
)
;

CREATE TABLE "REFAPP"."REFAPP_T_CITTADINO"
(
   ID_CITTADINO decimal(10) PRIMARY KEY NOT NULL,
   COGNOME varchar2(50) NOT NULL,
   NOME varchar2(50),
   SESSO char(1) NOT NULL,
   DATA_NASCITA date NOT NULL,
   ID_COMUNE_NASCITA decimal(10) NOT NULL,
   ID_COMUNE_RESID decimal(10) NOT NULL,
   RETRIBUZIONE decimal(11)
)
;

--CREATE UNIQUE INDEX SYS_C0031656 ON "REFAPP"."PERSONA"(CODICE_FISCALE)
--;

ALTER TABLE "REFAPP"."REFAPP_D_COMUNE"
ADD CONSTRAINT FK_REFAPP_D_PROVINCIA_01
FOREIGN KEY (ID_PROVINCIA)
REFERENCES "REFAPP"."REFAPP_D_PROVINCIA"(ID_PROVINCIA)
;

--CREATE INDEX IE_REFAPP_D_COMUNE_01 ON "REFAPP"."REFAPP_D_COMUNE"(DESCRIZIONE)
--;

--CREATE UNIQUE INDEX PK_REFAPP_D_COMUNE ON "REFAPP"."REFAPP_D_COMUNE"(ID_COMUNE)
--;

ALTER TABLE "REFAPP"."REFAPP_D_PROVINCIA"
ADD CONSTRAINT FK_REFAPP_D_REGIONE_01
FOREIGN KEY (ID_REGIONE)
REFERENCES "REFAPP"."REFAPP_D_REGIONE"(ID_REGIONE)
;

--CREATE UNIQUE INDEX PK_REFAPP_D_PROVINCIA ON "REFAPP"."REFAPP_D_PROVINCIA"(ID_PROVINCIA)
--;

--CREATE UNIQUE INDEX PK_REFAPP_D_REGIONE ON "REFAPP"."REFAPP_D_REGIONE"(ID_REGIONE)
--;

ALTER TABLE "REFAPP"."REFAPP_T_CITTADINO"
ADD CONSTRAINT FK_REFAPP_D_COMUNE_01
FOREIGN KEY (ID_COMUNE_NASCITA)
REFERENCES "REFAPP"."REFAPP_D_COMUNE"(ID_COMUNE)
;

ALTER TABLE "REFAPP"."REFAPP_T_CITTADINO"
ADD CONSTRAINT FK_REFAPP_D_COMUNE_02
FOREIGN KEY (ID_COMUNE_RESID)
REFERENCES "REFAPP"."REFAPP_D_COMUNE"(ID_COMUNE)
;

CREATE INDEX IE_REFAPP_T_CITTADINO_01 ON "REFAPP"."REFAPP_T_CITTADINO"
(
  COGNOME,
  NOME
)
;

--CREATE UNIQUE INDEX PK_REFAPP_T_CITTADINO ON "REFAPP"."REFAPP_T_CITTADINO"(ID_CITTADINO)
--;

